Test rlgl
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141
diff --git a/.travis/build-in-container.sh b/.travis/build-in-container.sh
index bc02764..02b1e56 100755
--- a/.travis/build-in-container.sh
+++ b/.travis/build-in-container.sh
@@ -14,7 +14,7 @@ export QEMU_LD_PREFIX=/usr/${HOST}
make
make dist
make check RUNTESTFLAGS="-a $RUNTESTFLAGS"
-EXITCODE=$?
+
gzip -c -9 */testsuite/libffi.log > libffi.log.gz
echo ================================================================
echo The logs are too long for travis to handle, so we compress and
@@ -24,5 +24,8 @@ echo ================================================================
uuencode libffi.log.gz -
echo ================================================================
echo ================================================================
-exit $EXITCODE
+
+ID=$(./rlgl start)
+./rlgl e --id=$ID --policy=https://github.com/libffi/rlgl-policy.git */testsuite/libffi.log
+exit $?
diff --git a/.travis/build.sh b/.travis/build.sh
index 92e808c..0ff1bc2 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -31,7 +31,6 @@ function build_linux()
make
make dist
make check RUNTESTFLAGS="-a $RUNTESTFLAGS"
- EXITCODE=$?
gzip -c -9 */testsuite/libffi.log > libffi.log.gz
echo ================================================================
@@ -44,7 +43,9 @@ function build_linux()
echo ================================================================
echo ================================================================
- exit $EXITCODE
+ ID=$(./rlgl start)
+ ./rlgl e --id=$ID --policy=https://github.com/libffi/rlgl-policy.git */testsuite/libffi.log
+ exit $?
}
function build_foreign_linux()
diff --git a/.travis/install.sh b/.travis/install.sh
index 751d152..e6a1865 100755
--- a/.travis/install.sh
+++ b/.travis/install.sh
@@ -2,42 +2,53 @@
set -x
if [[ $TRAVIS_OS_NAME != 'linux' ]]; then
- brew update > brew-update.log 2>&1
- # fix an issue with libtool on travis by reinstalling it
- brew uninstall libtool;
- brew install libtool dejagnu;
+ brew update > brew-update.log 2>&1
+ # fix an issue with libtool on travis by reinstalling it
+ brew uninstall libtool;
+ brew install libtool dejagnu;
else
- sudo apt-get clean # clear the cache
- sudo apt-get update
- case $HOST in
- aarch64-linux-gnu | powerpc64le-unknown-linux-gnu | mips64el-linux-gnu | sparc64-linux-gnu)
- ;;
- alpha-linux-gnu | arm32v7-linux-gnu | m68k-linux-gnu | sh4-linux-gnu | s390x-linux-gnu )
- sudo apt-get install qemu-user-static
- ;;
- hppa-linux-gnu )
- sudo apt-get install -y qemu-user-static g++-5-hppa-linux-gnu
- ;;
- i386-pc-linux-gnu)
- sudo apt-get install gcc-multilib g++-multilib;
- ;;
- moxie-elf)
- echo 'deb https://repos.moxielogic.org:7114/MoxieLogic moxiedev main' | sudo tee -a /etc/apt/sources.list
- sudo apt-get clean # clear the cache
- sudo apt-get update ## -qq
- sudo apt-get update
- sudo apt-get install -y --allow-unauthenticated moxielogic-moxie-elf-gcc moxielogic-moxie-elf-gcc-c++ moxielogic-moxie-elf-gcc-libstdc++ moxielogic-moxie-elf-gdb-sim
- ;;
- i686-w64-mingw32)
- sudo apt-get install gcc-mingw-w64-i686 binutils-mingw-w64-i686 wine;
- ;;
- esac
- case $HOST in
- arm32v7-linux-gnu | aarch64-linux-gnu | ppc64le-linux-gnu | s390x-linux-gnu)
- # don't install host tools
- ;;
- *)
- sudo apt-get install dejagnu texinfo sharutils
- ;;
- esac
+
+ # Configure the rlgl cli.
+ # Download and extract the client
+ wget -qO - http://rl.gl/cli/rlgl-linux-amd64.tgz | \
+ tar --strip-components=2 -xvzf - ./rlgl/rlgl
+ # Log into the server
+ ./rlgl login https://rl.gl
+
+ sudo apt-get clean # clear the cache
+ sudo apt-get update
+ case $HOST in
+ aarch64-linux-gnu | powerpc64le-unknown-linux-gnu | mips64el-linux-gnu | sparc64-linux-gnu)
+ ;;
+ alpha-linux-gnu | arm32v7-linux-gnu | m68k-linux-gnu | sh4-linux-gnu | s390x-linux-gnu )
+ sudo apt-get install qemu-user-static
+ ;;
+ hppa-linux-gnu )
+ sudo apt-get install -y qemu-user-static g++-5-hppa-linux-gnu
+ ;;
+ i386-pc-linux-gnu)
+ sudo apt-get install gcc-multilib g++-multilib;
+ ;;
+ moxie-elf)
+ echo 'deb https://repos.moxielogic.org:7114/MoxieLogic moxiedev main' | sudo tee -a /etc/apt/sources.list
+ sudo apt-get clean # clear the cache
+ sudo apt-get update ## -qq
+ sudo apt-get update
+ sudo apt-get install -y --allow-unauthenticated moxielogic-moxie-elf-gcc moxielogic-moxie-elf-gcc-c++ moxielogic-moxie-elf-gcc-libstdc++ moxielogic-moxie-elf-gdb-sim
+ ;;
+ x86_64-w64-mingw32)
+ sudo apt-get install gcc-mingw-w64-x86-64 g++-mingw-w64-x86-64 wine;
+ ;;
+ i686-w32-mingw32)
+ sudo apt-get install gcc-mingw-w64-i686 g++-mingw-w64-i686 wine;
+ ;;
+ esac
+ case $HOST in
+ arm32v7-linux-gnu | aarch64-linux-gnu | ppc64le-linux-gnu | s390x-linux-gnu)
+ # don't install host tools
+ ;;
+ *)
+ sudo apt-get install dejagnu texinfo sharutils
+ ;;
+ esac
fi